aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-10-19 15:06:36 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-10-19 15:06:53 +0200
commitca712c8127101721b2bb51eaccd4ed6b3491c78e (patch)
tree9e7eba0cad9c01ba1104656f3dfb977734b7c0d4
parent0f72428f9d1d92dc0fac97e1ce1209fe67feca90 (diff)
downloadaports-ca712c8127101721b2bb51eaccd4ed6b3491c78e.tar.gz
aports-ca712c8127101721b2bb51eaccd4ed6b3491c78e.tar.bz2
aports-ca712c8127101721b2bb51eaccd4ed6b3491c78e.tar.xz
community/font-noto: new aport
-rw-r--r--community/font-noto/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/font-noto/APKBUILD b/community/font-noto/APKBUILD
new file mode 100644
index 0000000000..6753a76ca0
--- /dev/null
+++ b/community/font-noto/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=font-noto
+pkgver=0_git20161019
+pkgrel=0
+pkgdesc="Google's font family that aims to support all the world's languages"
+url="https://github.com/googlei18n/noto-fonts/"
+arch="noarch"
+license="OFL-1.1"
+depends="fontconfig"
+makedepends=""
+install=""
+subpackages="font-croscore:croscore"
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/font-noto-$pkgver"
+giturl="https://github.com/googlei18n/noto-fonts.git"
+disturl="dev.alpinelinux.org:/archive/$pkgname"
+
+
+build() {
+ cd "$builddir"
+}
+
+package() {
+ cd "$builddir"
+ mkdir -p "$pkgdir"/usr/share/fonts/noto
+ install -m644 hinted/Noto*.ttf \
+ "$pkgdir"/usr/share/fonts/noto || return 1
+}
+
+croscore() {
+ pkgdesc="Chrome OS core fonts"
+ mkdir -p "$subpkgdir"/usr/share/fonts/croscore
+ cd "$builddir"/hinted
+ install -m644 Arimo*.ttf Cousine*.ttf Tinos*.ttf \
+ "$subpkgdir"/usr/share/fonts/croscore || return 1
+}
+
+md5sums="4b28898ec8609d88ee9561107c7d1bbc font-noto-0_git20161019.tar.gz"
+sha256sums="564876f37d9a31713c35ab09f76db6a33ba96555b71ef881d204283a1244bd2e font-noto-0_git20161019.tar.gz"
+sha512sums="9921a04e6089fabce4efc60d4a949978453975540b743a8eb21096996782117d2ee715acbd6ab2247a64befddfefd72c589d56ed47c607cdcec0f50bd707427f font-noto-0_git20161019.tar.gz"